<!--@Header-->
<?php
session_start();

if(isset($_SESSION['nomUsuario'])){
  $usuario = $_SESSION['nomUsuario'];
  $rol_usuario=$_SESSION['rolUsuario'];
  $id=$_SESSION['cveUsuario'];
  
  
    if ($rol_usuario == 'ADMINISTRADOR') {
        include("path/header.php");
        $datos = get_notas_diarias();
        $ganancias = get_total_ganancia_notas_diarias();
    }else{
        echo "<script> 
               document.location.href='../functions/salir.php';
            </script>";
    }

}else{
  echo "<script> 
        document.location.href='/aqua-restaurant/';
    </script>";
}
?>
<div class="row">
  <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
    <div class="card" style="border-radius: 20px;">
      <div class="card-header p-1 pt-2">
        
        <div class="text-end pt-1">
          <h4 class=""><b>Notas del día</b></h4>
          
        </div>
      </div>
      <hr class="dark horizontal my-0">
      <div class="card-footer p-3">
        <h4  align="right" class="mb-0" id="notas_dia">0</h4>
      
      </div>
    </div>
  </div>
  <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
    <div class="card" style="border-radius: 20px;">
      <div class="card-header p-1 pt-2">
        <div class="text-end pt-1">
          <h4 class=""><b>Total del día</b></h4>
          
          
        </div>
      </div>
      <hr class="dark horizontal my-0">
      <div class="card-footer p-3">
        <h4 align="right" class="mb-0" id="total_dia">$ 0.00</h4>
       
        
      </div>
    </div>
  </div>
  <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
    <div class="card" style="border-radius: 20px;">
      <div class="card-header p-1 pt-2">
        <div class="text-end pt-1">
          <h4 class=""><b>Notas Semanales</b></h4>
          
        </div>
      </div>
      <hr class="dark horizontal my-0">
      <div class="card-footer p-3">
        <h4 align="right" class="mb-0" id="notas_semanales">0</h4>
       
        
      </div>
    </div>
  </div>
  <div class="col-xl-3 col-sm-6">
    <div class="card" style="border-radius: 20px;">
      <div class="card-header p-1 pt-2">
        <div class="text-end pt-1">
          <h4 class=""><b>Total Semanal</b></h4>
          
        </div>
      </div>
      <hr class="dark horizontal my-0">
      <div class="card-footer p-3">
        <h4 align="right" class="mb-0" id="total_semanal">$0.00</h4>
       
      </div>
    </div>
  </div>
</div>
<div class="row">
  
  <div class="col-12">
    <div class="row">
      <div class="col-xl-6 col-sm-12 mt-2">
        <div class="card" style="border-radius: 20px;">
          <div class="card-header p-3 pt-2">
            
            <div class="text-end pt-1">
              <h4 class=""><b>Personas Atendidas</b></h4>
              
            </div>
          </div>
          <hr class="dark horizontal my-0">
          <div class="card-footer p-3">
            <h4 align="right" class="mb-0" id="personas">0</h4>
          </div>
        </div>
        <br>
      </div>
      <div class="col-xl-6 col-sm-12 mt-2">
        <div class="card" style="border-radius: 20px;">
          <div class="card-header p-3 pt-2">
            <div class="text-end pt-1">
              <h4 class=""><b>Mesas Atendidas</b></h4>    
              
            </div>
          </div>
          <hr class="dark horizontal my-0">
          <div class="card-footer p-3">
            <h4 align="right" class="mb-0" id="no_mesas">0</h4>
          </div>
        </div>
      </div>
      <div class="col-lg-6 mb-2">
          <div class="card" style="border-radius: 20px;">
              <div class="chart-wrapper">
                  <canvas id="graficaNotasDiarias"></canvas>
              </div>
          </div>   
      </div>
      <div class="col-lg-6 mb-2">
          <div class="card" style="border-radius: 20px;">
              <div class="chart-wrapper">
                  <canvas id="graficaNotasDiariasGanancias"></canvas>
              </div>
          </div>   
      </div>
    </div>
  </div>
  <!-- <div class="col-6">
    <div class="row">
      <div class="col-lg-12 mb-2 mt-2">
        <div class="card">
          <div class="card-header p-3 pt-2">
            <div class="text-start pt-1">
              <p class="text-sm mb-0 text-capitalize"><b>20 Productos más vendidos en los últimos 30 días</b></p>
              
            </div>
          </div>
          <div class="card-body">
              <div class="table-responsive table-responsive-sm" >
                <table class="table compact nowrap" id="ProductsTable" style="width:100%;">
                    <thead style="background-color: #052659;" >
                        <tr>
                            <th class="align-middle text-center text-white" style="width:100px">Cocinero</th>
                            <th class="align-middle text-center text-white" style="width:600px">Producto</th>
                            <th class="align-middle text-center text-white" style="width:100px">Cantidad</th> 
                                       
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
              </div>
          </div>
          <div class="card-footer p-3">
            
          </div>
        </div>
      </div>
      
    </div>
  </div> -->
</div>




<!-- Modal Impresion-->
<div class="modal fade" id="modalImprimir" tabindex="-1" aria-labelledby="modalImprimirLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalImprimirLabel">Impresión</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-12 d-flex align-items-center">
                  <h6 class="mb-0">Selecciona el tipo de impresión:</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault3" checked>
                <label class="form-check-label" for="flexRadioDefault3">
                  Imprimir TODOS los productos.
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault2">
                <label class="form-check-label" for="flexRadioDefault2">
                  Imprimir ULTIMOS productos agregados.
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
                <label class="form-check-label" for="flexRadioDefault1">
                  Imprimir cuenta.
                </label>
              </div>
            </div>
        </div>
        <br>
        <div id="tipo_de_pago"></div>
        <br>
        <div id="pago_efec_tarj"></div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_imprimir">Imprimir</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal SELECCIONAR Impresora-->
<div class="modal fade" id="modalSeleccionarImpresora" tabindex="-1" aria-labelledby="modalSeleccionarImpresora" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalSeleccionarImpresora">IMPRESORA: </h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
      <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-12 d-flex align-items-center">
                  <h6 class="mb-0">Selecciona la impresora</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault7" value="BIXOLON-SRP-350plusIII" checked>
                <label class="form-check-label" for="flexRadioDefault7">
                BIXOLON SRP 350 plusIII
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault8" value="Impresora2">
                <label class="form-check-label" for="flexRadioDefault8">
                  Impresora 2
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault9" value="Impresora3">
                <label class="form-check-label" for="flexRadioDefault9">
                  Impresora 3
                </label>
              </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        
        <button type="button" class="btn btn-primary" id="btn_imprimir_comandas">Imprimir</button>
      </div>
    </div>
  </div>
</div>

<script src="../assets/js/jquery-3.5.1.min.js"></script>
</script><script src="../assets/lib/dataTable/datatables.min.js?v=1.0.0.0"></script>
<script src="../assets/js/funciones.js"></script>

<!--//////////////// IMPRIMIR PDF //////////////////-->
<script>
 
 $('#btn_imprimir').on('click', function(){
  
    cargarDatosNota();
    function cargarDatosNota(){
     
      var pago_total_tarjeta=0;
      var pago_total_efectivo=0;
      var tipo_pago =0;
      //
      
      if($('#flexRadioDefault7').is(':checked')){
        var impresora= "BIXOLON-SRP-350plusIII";
      }
      else{
        var impresora ="";
      }
      var datos2 = {
        "clave_nota": 'NV00001',   
        "zona_atencion": 'Venta en piso',
        "mesero": 'mesero',
        "hora_edt": '',
        "no_mesa": 3, 
        "no_personas": 5,
        "ntv_descuento":0,
        "tipo_pago":0,
        "pago_total_efectivo":0,
        "pago_total_tarjeta":0,
        "impresora":impresora,
      }; 
      //console.log(tipo_pago);
      
      if($('#flexRadioDefault3').is(':checked')){
        
        terminar_cuenta_todos(datos2);
        $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
        
      }else if($('#flexRadioDefault1').is(':checked')){
        
        terminar_nota(datos2);
       

      }else if($('#flexRadioDefault2').is(':checked')){
       
        ultimos_productos(datos2);

      }
        

    }
    function terminar_nota(datos2){
      $.ajax({
        data: datos2,
        url: '../functions/terminar_nota_2.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          if (response==1) {
            $('#modalImprimir').modal('toggle'); 
              var url = "/aqua-restaurant/ticket/ticket_nota_venta.php";
              window.open(url,"_blank");
            }else{
              $('#modalImprimir').modal('toggle'); 
              $('#modalErrorAgrProducto').modal('toggle'); 
            }
        },
        error: function (error) {
            console.log(error); 
        }
    });
    }

    function terminar_cuenta_todos(datos2){
      $.ajax({
            data: datos2,
            url: '../functions/comandas_ticket_2.php',
            type: 'post',
            success:  function (response) {
              
              console.log(response);
              if (response==1) {
                $('#modalImprimir').modal('toggle'); 
                //var url = "/aqua-restaurant/ticket/ticket_comanda.php";
                //window.open(url,"_blank");
                $('#modalSeleccionarImpresora').modal('show'); 
                //$('#tabla_productos_x_nota').load('tabla_productos_nota.php');
                
              }else{
                $('#modalImprimir').modal('toggle'); 
                $('#modalErrorAgrProducto').modal('toggle'); 
              }
              
            },
            error: function (error) {
                console.log(error); 
            }
      });
    }
    function ultimos_productos(datos2){
      $.ajax({
            data: datos2,
            url: '../functions/comandas_ticket_2.php',
            type: 'post',
            success:  function (response) {
              //console.log(response);
              
              if (response==1) {
                
                $('#modalImprimir').modal('toggle'); 
                //var url = "/aqua-restaurant/ticket/ticket_comanda_ultimos.php";
                //window.open(url,"_blank");
                //$('#tabla_productos_x_nota').load('tabla_productos_nota.php');
                $('#modalSeleccionarImpresora').modal('show'); 
              }else{
                $('#modalImprimir').modal('toggle'); 
                $('#modalErrorAgrProducto').modal('toggle'); 
              }
            },
            error: function (error) {
                console.log(error); 
            }
    });
    }
   
  });

</script>
<!--//////////////// SELECCIONAR IMPRESORA //////////////////-->
<script>
  $('#btn_imprimir_comandas').on('click', function(){
    var opcionImprComanda;
    if($('#flexRadioDefault7').is(':checked')){
      opcionImprComanda= "BIXOLON-SRP-350plusIII";
      var dato = {
        "opcionImprComanda": opcionImprComanda,   
      }; 
    $.ajax({
            data: dato,
            url: '../ticket/ticket_comanda_2.php',
            type: 'post',
            success:  function (response) {
              console.log(response);
              
            },
            error: function (error) {
                console.log(error); 
            }
    });
    }
    if($('#flexRadioDefault8').is(':checked')){
      opcionImprComanda= "BIXOLON-SRP-350plusIII";
      var dato = {
        "opcionImprComanda": opcionImprComanda,   
        
      }; 
    $.ajax({
            data: dato,
            url: '../ticket/ticket_comanda_1.php',
            type: 'post',
            success:  function (response) {
              console.log(response);  
            },
            error: function (error) {
                console.log(error); 
            }
    });
    }
    if($('#flexRadioDefault9').is(':checked')){
      opcionImprComanda= "BIXOLON-SRP-350plusIII";
      var dato = {
        "opcionImprComanda": opcionImprComanda,   
        
      }; 
    $.ajax({
            data: dato,
            url: '../ticket/ticket_comanda_4.php',
            type: 'post',
            success:  function (response) {
              console.log(response);
              
            },
            error: function (error) {
                console.log(error); 
            }
    });
    }
   // console.log(opcionImprComanda);
    
    
  });
</script>

<script>
  
    console.log('<?php echo $datos; ?>');
    const datos=JSON.parse('<?php echo $datos; ?>');
    
    const ctx = document.getElementById('graficaNotasDiarias');
    
    new Chart(ctx, {
    type: 'line',
    data: {
        labels: datos.label,
        datasets: [{
        label: 'Notas diarias',
        data: datos.data,
        borderWidth: 1,
        backgroundColor: [
            '#8d7662',
        ]}
        ]
    },
    options: {
        scales: {
        y: {
            beginAtZero: true
        }
        }
    }
    });
</script>
<script>
  
    console.log('<?php echo $ganancias; ?>');
    const $ganancias=JSON.parse('<?php echo $ganancias; ?>');
    
    const ctx1 = document.getElementById('graficaNotasDiariasGanancias');
    
    new Chart(ctx1, {
    type: 'line',
    data: {
        labels: $ganancias.label,
        datasets: [{
        label: 'Ganancia por notas diarias con estatus finalizado',
        data: $ganancias.data,
        borderWidth: 1,
        backgroundColor: [
            '#ecc950',
        ]}
        ]
    },
    options: {
        scales: {
        y: {
            beginAtZero: true
        }
        }
    }
    });


</script>
<script>
  $('#imprimir_1').on('click', function(){
    let opcion = "EPSON-TM-T20II";
    let id = 4;
    $.ajax({
            data: {id: id, opcionImprComanda: opcion},
            url: '../ticket/pruebas/ticket_1.php',
            type: 'post',
            success:  function (response) {
              console.log(response);  
            },
            error: function (error) {
                console.log(error); 
            }
    });
  })
  $('#imprimir_2').on('click', function(){
    $.ajax({
            data: {},
            url: '../ticket/pruebas/ticket_2.php',
            type: 'post',
            success:  function (response) {
              console.log(response);  
            },
            error: function (error) {
                console.log(error); 
            }
    });
  })
  $('#imprimir_3').on('click', function(){
    $.ajax({
            data: {},
            url: '../ticket/pruebas/ticket_3.php',
            type: 'post',
            success:  function (response) {
              console.log(response);  
            },
            error: function (error) {
                console.log(error); 
            }
    });
  })
  $('#imprimir_4').on('click', function(){
    $.ajax({
            data: {},
            url: '../ticket/pruebas/ticket_comanda_1.php',
            type: 'post',
            success:  function (response) {
              console.log(response);  
            },
            error: function (error) {
                console.log(error); 
            }
    });
  })
</script>

<script>
  $(document).ready(function () {
    getDailySales()
    getWeeklySales()
  })
  /** FUNCION AJAX */
  function ajax_function(pagina, datos, dtipo, tipo, selector){
    $.ajax({
      type: tipo,
      dataType: dtipo,
      data: datos,
      url: pagina,
      success: function (respuesta) {
        selector(respuesta)
      }, error(e) {
        console.log(e);
      }
    });
  }
  function getDailySales() {
    // console.log(word);
    let pagina = "../functions/dashboard/ventas_diarias.php"; 
    let datos = { word: 0 }; 
    let dtipo = "JSON"; 
    let tipo = "POST"; 
    let selector = putDailySales;
    ajax_function(pagina, datos, dtipo, tipo, selector);
  }
  function putDailySales(dt) {
    console.log(dt)
    $('#notas_dia').text(dt[0].notas_total);
    $('#total_dia').text(dt[0].total);
    $('#personas').text(dt[0].personas);
    $('#no_mesas').text(dt[0].mesas);

    calc_increment_day(dt)
  }

  function calc_increment_day(dt){
    let before_day = dt[1].notas_total;
    let before_tot =dt[1].total;
    let current_day = dt[0].notas_total;
    let current_tot = dt[0].total;
    let before_tab = dt[1].mesas;
    let current_tab = dt[0].mesas;
    let before_peop = dt[1].personas;
    let current_peo = dt[0].personas;

    let increment_not = (current_day - before_day)/current_day*100
    let increment_tot = (current_tot - before_tot)/current_tot*100
    let increment_tab = (current_tab - before_tab)/current_tab*100
    let increment_peo = (current_peo - before_peop)/current_peo*100

    if (increment_not < 0) {
      increment_not = 0
    }

    if (increment_tot < 0) {
      increment_tot = 0
    }

    if (increment_tab < 0) {
      increment_tab = 0
    }

    if (increment_peo < 0) {
      increment_peo = 0
    }

    /* (act -ant)/act * 100 */
    $('#incremento_nota_dia').text(parseFloat(increment_not).toFixed(2));
    $('#crecimiento_tot_dia').text(parseFloat(increment_tot).toFixed(2));
    $('#crecimiento_personas').text(parseFloat(increment_tab).toFixed(2));
    $('#crecimiento_mesas').text(parseFloat(increment_peo).toFixed(2));
  }
  function getWeeklySales() {
    // console.log(word);
    let pagina = "../functions/dashboard/ventas_semanal.php"; 
    let datos = { word: 0 }; 
    let dtipo = "JSON"; 
    let tipo = "POST"; 
    let selector = putWeeklySales;
    ajax_function(pagina, datos, dtipo, tipo, selector);
  }
  function putWeeklySales(dt) {
    console.log(dt)
    if (dt[0].semana_actual == dt[0].semana) {
      $('#notas_semanales').text(dt[0].notas_totales);
      $('#total_semanal').text(dt[0].total);
    }else{
      $('#notas_semanales').text(0);
      $('#total_semanal').text(0);
    }
    
    
    calc_increment_week(dt)
  }

  function calc_increment_week(dt){
    let current_nt = dt[0].notas_totales
    let current_tt = dt[0].total
    let before_not = dt[1].notas_totales
    let before_tot = dt[1].total

    let incremento_semanal  =  (current_nt - before_not)/ current_nt*100
    let incremento_total    =  (current_tt - before_tot)/ current_tt*100

    if (incremento_semanal < 0) {
      incremento_semanal = 0
    }

    if (incremento_total < 0) {
      incremento_total = 0
    }

    if (dt[0].semana_actual == dt[0].semana) {
      $('#incremento_semanal').text(parseFloat(incremento_semanal).toFixed(2));
      $('#incremento_tot_semanal').text(parseFloat(incremento_total).toFixed(2));
    }else{
      $('#incremento_semanal').text(parseFloat(0).toFixed(2));
      $('#incremento_tot_semanal').text(parseFloat(0).toFixed(2));
    }
    

  }
</script>


<script>
   /* $(document).ready(function () {
    $('#ProductsTable').DataTable({
      ordering: false,
      dom: 'Blfrtip',
      searching: false,  
      lengthChange: false,
      
      buttons: [],
      pagingType: 'simple_numbers',
      language: {
          url: '../assets/lib/dataTable/spanish.json',
      },
      paging: false,
      scrollY: 'calc(132vh - 300px)',
      scrollX: true,
      fixedHeader: true,
      columns: [
          {data: 'Cocinero_prod', class: 'col-table text-center tb col_table_prd'},
          {data: 'Producto_prod', class: 'col-table text-center col_table_prd'},
          {data: 'Cantidad_prod', class: 'text-center col_table_prd'},
      ],
    });
    getProductsMoreCooked(2)
   }) */
   function getProductsMoreCooked(opc){
        let today = getWeekDayNumber()
        let pagina = '../functions/reportes/list_products_more_cooked.php'; 
        let datos = {from_date: '', to_date:  '', opc: opc, number: today}; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putProductsMoreCooked;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
    function getWeekDayNumber(){
        let today = new Date();
        let today_number = today.getDay();
        
        if (today_number == 0) {
            today_number = 7;
        }
        return today_number;
    }
    function putProductsMoreCooked(dt){
        /* console.log(dt); */
        let tabla = $('#ProductsTable').DataTable();
        tabla.rows().remove().draw();
        if (dt[0].pro_id > 0) {
            $.each(dt, function (v, u) {
                let pro_precio_venta = '$ '+ parseFloat(u.pro_precio_venta).toFixed(2) 
                let total  = '$ '+ parseFloat(u.total).toFixed(2) 
            
                tabla.row
                .add({
                    Cocinero_prod: u.uss_nombre ,
                    Producto_prod: u.pro_nombre,
                    Cantidad_prod: u.cant,
                })
                .draw();
            })
        }
        

    }
  </script>
<!--@Footer-->
<?php
include("path/footer.php");
?>